> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Role Override

> Update a role override state

## Path Parameters

<ParamField path="id" type="string" required>
  The override ID to update
</ParamField>

## Request Body

<ParamField body="state" type="string" required>
  New override state: `enabled` or `disabled`
</ParamField>

## Response

Returns the updated role override object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT 'https://api.example.com/scope-overrides/roles/override_123' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "state": "enabled"
    }'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const { data } = await axios.put('https://api.example.com/scope-overrides/roles/override_123', {
    state: 'enabled',
  }, {
    headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "override_123",
    "childScopeId": "scope_team",
    "roleId": "role_admin",
    "state": "enabled"
  }
  ```
</ResponseExample>
